Build transactions to submit a vault redemption request.
Path Parameters
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Redemption route. New requests use the vault default when omitted. Pending and update requests first select an outstanding legacy AtomicQueue request, then use the default. Pass the same explicit type throughout a request lifecycle, especially when both routes have pending shares.
Value in
- "atomicQueue"
- "nest"
ERC20 address of the desired redemption asset on the requested chain.
^0x[a-fA-F0-9]{40}$Raw base-unit amount of vault shares to redeem (string for bigint safety).
^\d+$EVM chain ID. Must be one of the supported chains (Plume=98866, Ethereum=1, Base=8453, BSC=56, Plasma=9745, Avalanche=43114, Arc=5042, Morph=2818) and must match a chain the vault is deployed on.
0 < valueUser/controller address submitting the redemption.
^0x[a-fA-F0-9]{40}$Skip the transaction simulation preflight.
falseResponse Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/vaults/nest-wisdom-vault/redeem/build-tx" \ -H "Content-Type: application/json" \ -d '{ "redemptionAsset": "0x222365ef19f7947e5484218551b56bb3965aa7af", "shareAmount": "1000000", "chainId": 98866, "user": "0x00000000000000000000000000000000000000ab" }'{ "data": { "slug": "string", "chainId": 0, "redemptionType": "nest", "shareTokenAddress": "string", "redemptionAsset": "string", "shareAmount": "string", "shareDecimals": 0, "redemptionAmount": "string", "redemptionDecimals": 0, "feeAmount": "string", "fees": { "ratePpm": 0, "flatAmount": "string", "maxRatePpm": 0, "maxFlatAmount": "string" }, "minPrice": "string", "deadline": "string", "transactions": [ { "complianceExpiresAt": 0, "label": "approve", "description": "string", "to": "string", "data": "string", "value": "0" } ] }}